<?php
session_start();/**************************************************صفحة تنشيط والغاء التنشيط*******************************************************************/

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;


//استدعاء ملف معالجة الحقن
include("../injection.php");

//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}




/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];
$active_type=$_POST['status'];
$id=$_POST['id'];


//بداية الاستعلام
$q="update $table set active=$active_type where id=$id" ;
//echo $q;




//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"update `$table` set active= ? where id= ?"
			);

		

			
			//تهيئة المتغيرات وحمايتها من الحقن
			mysqli_stmt_bind_param($query,'ii',
			
			 $active_type,$id

			);

			
			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	
	echo "done";
	$_SESSION['session_enable']='0'; 

}else{
	err:	
	echo "not_done";  
 
  
	//echo mysqli_stmt_error($query);
		
}


?>